Skip to navigation

Update envelope lock

View as Markdown

Updates the lock duration time or update the lockedByApp property information for the specified envelope. The user and integrator key must match the user specified by the lockByUser property and integrator key information and the X-DocuSign-Edit header must be included or an error will be generated.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Request

This endpoint expects an object: lockRequest

lockDurationInSecondsstringOptional
The number of seconds to lock the envelope for editing. Must be greater than 0 seconds.
lockedByAppstringOptional
A friendly name of the application used to lock the envelope. Will be used in error messages to the user when lock conflicts occur.
lockTypestringOptional
The type of envelope lock. Currently "edit" is the only supported type.
templatePasswordstringOptional
useScratchPadstringOptional

Reserved for future use.

Indicates whether a scratchpad is used for editing information.

Response

Successful response.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
lockDurationInSecondsstringOptional

Sets the time, in seconds, until the lock expires when there is no activity on the envelope.

If no value is entered, then the default value of 300 seconds is used. The maximum value is 1,800 seconds.

The lock duration can be extended.

lockedByAppstringOptional
Specifies the friendly name of the application that is locking the envelope.
lockedByUserobjectOptional
lockedUntilDateTimestringOptional
The datetime until the envelope lock expires.
lockTokenstringOptional
A unique identifier provided to the owner of the envelope lock. Used to prove ownership of the lock.
lockTypestringOptional
The type of envelope lock. Currently "edit" is the only supported type.
useScratchPadstringOptional

Reserved for future use.

Indicates whether a scratchpad is used for editing information.

Errors

400
Bad Request Error